package com.nisum.junitpractice.demo;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

public class TestCase extends junit.framework.TestCase {
    protected int num1;
    protected int num2;

    @BeforeEach
    public void setUp() {
        System.out.println("setup");
        num1 = 2;
        num2 = 3;
    }

    @Test
    public void testAdd() {
        System.out.println("Num of Test Cases: " + this.countTestCases());

        String name = this.getName();
        System.out.println("Test Case Name: " + name);

        this.setName("testNewAdd");
        String newName = this.getName();
        System.out.println("Updated Test Case Name: " + newName);

        assertEquals(5, new Calculator().add(num1, num2));
    }

    public void tearDown() throws Exception {
        System.out.println("Cleaned up.");
    }
}
